class Autogenerated {
  late String status;
  late List<Upload> result;

  Autogenerated({
   required this.status,required this.result});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    status = json['status'];
    if (json['result'] != null) {
      result = <Upload>[];
      json['result'].forEach((v) {
        result.add(Upload.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['status'] = status;
    if (result != null) {
      data['result'] = result.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Upload {
  late String fileName;
  late String pathFile;
  late String type;
  late String name;
  late String extension;
  late String path;

  Upload(
      {
       required this.fileName,
       required this.pathFile,
       required this.type,
       required this.name,
       required this.extension,
       required this.path});

  Upload.fromJson(Map<String, dynamic> json) {
    fileName = json['fileName'];
    pathFile = json['pathFile'];
    type = json['type'];
    name = json['name'];
    extension = json['extension'];
    path = json['path'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['fileName'] = fileName;
    data['pathFile'] = pathFile;
    data['type'] = type;
    data['name'] = name;
    data['extension'] = extension;
    data['path'] = path;
    return data;
  }
}
